Page MenuHomePhabricator

[Story] Toolbars for result views
Closed, ResolvedPublic

Description

As a user I would like to have all toolbars from query.wikidata.org also in embed mode, so I can do the same things as on query.wikidata.org.

We would like to have toolbars for result views as an overlay.
We would like to have a toolbar that allows interaction with the result view (top).
We would like to have a toolbar that allows switching between result views (left).
We would like to have a toolbar that allows to open the help, examples, link, code dialog, edit (query helper), edit query with SPARQL editor.

GIVEN I am in embed mode
THEN toolbars on the top and left have a opacity, so they don't distract from the result.
WHEN I move the mouse opacity is removed while moving the mouse

GIVEN I am in embed mode
WHEN I hover the toolbar
THEN it slides out revealing the texts

Details

Related Gerrit Patches:
wikidata/query/gui : masterAdd brand to bottom of embed.html
wikidata/query/gui : masterNew toolbars for embed view

Event Timeline

Restricted Application added projects: Discovery, Design. · View Herald TranscriptNov 18 2016, 1:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jonas updated the task description. (Show Details)Nov 18 2016, 2:10 PM
Jonas updated the task description. (Show Details)
Jheald added a subscriber: Jheald.Mar 1 2017, 12:46 PM
Lydia_Pintscher triaged this task as Medium priority.Jun 11 2017, 6:08 PM
Jonas raised the priority of this task from Medium to High.Jun 21 2017, 9:21 AM

Could you provide a link to a scenario or so where the user needs that it helps with are described?

Scenario:
I get an embed link http://tinyurl.com/js9voz6
and

  • I would like to change to hierarchical layout.
  • I would like to display the result as image grid.
  • I would like to explore other examples .
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 25 2017, 11:28 PM

@Jonas @Lydia_Pintscher Is this still needed? If yes, it is still not clear what the goals of the users are – why the users might want to display results in the suggested way, why they would like to explore other examples. If this should be done, I suggest creating some scenarios using the personas.

Hanna_Petruschat_WMDE changed the task status from Open to Stalled.Feb 26 2018, 1:55 PM
Jonas changed the task status from Stalled to Open.Jul 5 2018, 10:49 AM
Jonas updated the task description. (Show Details)
Jonas raised the priority of this task from High to Needs Triage.Jul 5 2018, 10:52 AM

Change 446491 had a related patch set uploaded (by Prssanna; owner: Prssanna):
[wikidata/query/gui@master] New toolbars for embed view

https://gerrit.wikimedia.org/r/446491

Jonas added a project: Wikidata-Campsite.
Jonas moved this task from Incoming to Peer Review on the Wikidata-Campsite board.
Jonas triaged this task as Low priority.Aug 2 2018, 3:24 PM
Jonas moved this task from Backlog to Doing on the Wikidata Query UI board.
Jonas moved this task from Doing to Done on the Wikidata Query UI board.Aug 3 2018, 7:20 AM

Change 446491 merged by jenkins-bot:
[wikidata/query/gui@master] New toolbars for embed view

https://gerrit.wikimedia.org/r/446491

Jonas updated the task description. (Show Details)Aug 3 2018, 8:48 AM

Where can we test it?

Sorry we don't have a real test system, yet.

Change 450191 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[wikidata/query/gui@master] Add brand to bottom of embed.html

https://gerrit.wikimedia.org/r/450191

Change 450191 merged by jenkins-bot:
[wikidata/query/gui@master] Add brand to bottom of embed.html

https://gerrit.wikimedia.org/r/450191